Subject: Re: linux-next: manual merge of the voltage tree with Linus' tree

From: Peter Ujfalusi <[email-masked]>
Date: Tue, 15 Dec 2009 16:23:21 +0200

Hello Liam,

On Tuesday 15 December 2009 14:14:02 ext Liam Girdwood wrote:
> On Tue, 2009-12-15 at 09:48 +0000, Liam Girdwood wrote:
> > Hi Stephen,
> >
> > On Tue, 2009-12-15 at 13:38 +1100, Stephen Rothwell wrote:
> > > Hi Liam,
> > >
> > > Today's linux-next merge of the voltage tree got a conflict in
> > > drivers/regulator/twl-regulator.c between commit
> > > 441a450554dada1c59fc06fdf068cb0eeba53c6d ("regulator: Add support for
> > > twl6030 regulators") from Linus' tree and commits
> > > 6360cf42ae51be5f6e6e72d6e81f202d9db0f7e9 ("twl4030-regulator: Remove
> > > regulator from all groups when disabling") and
> > > 3277b9fce0fcaa68d5947429e062163852ebc6fb ("twl4030-regulator: Add all
> > > TWL regulators to twreg_info") from the voltage tree.
> > >
> > > I cannot begin to fix this mess up.  I do wonder why the regulator
> > > patch above was never in linux-next before being sent upstream
> > > yesterday (Samuel?).  All I can do is use the version of the voltage
> > > tree from next-20091120 (commit id
> > > b0a7a2ad0aebb35934de6d2509c73fe93a362c0e) for today and hope that Liam
> > > can do the merge with Linus' tree.
> >
> > Sorry about this. There were some large patch sets that did span both
> > mfd and regulator recently.
> >
> > I'll fix and do my pull request today.
> 
> Peter, Juha,
> 
> I've fixed up regulator for-next against upstream and now get a build
> failure on twl-regulator.c (possibly related to mfd/twl-codec.c build
> failure today ?)

I think this is not related to twl403-codec.c (or twl-codec.c, if it has been 
changed as well).
It looks like the twl6030 changes went in quite an un-organized way, which is 
causing lots of problems all over the place...

...

> 
> Can you check this and send me patch before I issue a pull request.
> Fwiw, the regulator pull request is now blocking on this issue.

I need to find the series for the twl6030, and check the soc codec driver as 
well, if it is still in a working shape.

> Thanks.
> Liam

-- 
Péter